---
name: Michael Leutz
locality: Stuttgart, Germany
country: Germany
role: <a href="/job-families/sales/technical-account-manager/">Manager, Technical
  Account Managers, EMEA</a>
reports_to: tamdir-sherrod-p
picture: michaelleutz.jpg
twitter: 
gitlab: mrleutz
departments:
- Customer Success
- Technical Account Managers
story: 'Michael has a consulting and technology background. He is passionate about
  growing teams and helping customers achieve their goals with digital technologies.
  Michael enjoys good food and travelling to the mountains.

'
